
sub UnPackIn;		# Unpack *.pkt
sub managers;		# Check mail in robots (Allfix, Areafix)

sub procin {

    Scan(ProtIn);
    
    UnPackIn(1);	# Unpack *.pkt from secure inbound
    
    Scan(UnProtIn);	# Unpack *.pkt from unsecure inbound
    
    UnPackIn(0);
}


sub UnPackIn {
# Warning!!! Use with 'TouchEchomail No' in itraxp.cfg only!!!

    my(@list) = @_;

    while(ReadMsg()) {
	if (Select('@Attribute !ECHOMAIL'))
 {
	    if (SelectTo(Skip)) {
		SetAttribute('@attribute !LOCAL !INTRANSIT');
	    } else {
		SetAttribute('@attribute !LOCAL INTRANSIT');
	    }
#	    RecodeIn();
	    if ($list[0] == 0) {
		@addline = (" ", "*** This mail from unsecure inbound (%System%), From: %PktFrom% ***", " ");
		if (SelectTo('!~System') && SelectTo('!~MyLink')) {
		    @addline = (@addline, "*** This mail is not to my links ***", " ");
		    Move(badmail, '-l @ addline.');
		} else {
		    Move(netmail, '-l @ addline.');
		}
	    } else {
		managers();
	    }
	    Move(netmail);
	}
    }
}


sub managers {
    my($echoflag, $fileflag);
    $echoflag = ">/var/spool/fido/flags/areafix.itx";
    $fileflag = ">/var/spool/fido/flags/allfix.itx";

    if (SelectTo(EchoArea_Mgr)) {
	ChangeMail('-t @ Areafix');
	open(FLAG, $echoflag);
	close(FLAG);
    } elsif (SelectTo(FileArea_Mgr)) {
	ChangeMail('-t @ Allfix');
	open(FLAG, $fileflag);
	close(FLAG);
    }
}
